%define version 1.1.6
%define release 1mdk

Summary:	Translation (.po) file editor with many features
Name:		gtranslator
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://sourceforge.net/projects/gtranslator/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtranslator/%{name}-%{version}.tar.bz2

BuildRequires:	ImageMagick
BuildRequires:	docbook-utils
BuildRequires:	libgnomeui2-devel
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser
Prereq:		scrollkeeper
Requires:	gettext

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files immenantly.


%prep
%setup -q

%build
%configure2_5x \
	--enable-compile-warnings=maximum \
	--enable-debug=no

%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

# icons
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir} \
	 $RPM_BUILD_ROOT/%{_iconsdir}
install -m 0644 -D      data/desktop/gtranslator.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert -geometry 32x32 data/desktop/gtranslator.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert -geometry 16x16 data/desktop/gtranslator.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# menu entry
install -d $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
 needs="x11" \
 section="Applications/Editors" \
 title="Gtranslator" \
 icon="%{name}.png" \
 command="%{_bindir}/%{name}" \
 longtitle="Gettext translation file editor"
_EOF_

### Remove files not bundled
# pozilla is for software maintainers ONLY
rm -f $RPM_BUILD_ROOT%{_bindir}/pozilla.sh
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pozilla*

%find_lang %name --with-gnome

%clean
rm -fr $RPM_BUILD_ROOT

%post 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog DEPENDS INSTALL NEWS README THANKS TODO
%{_bindir}/gtranslator
%{_datadir}/gtranslator
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/gtranslator.*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Feb  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- fix warning about the menu entry
- new source URL
- New release 1.1.6

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 1.1.5-2mdk
- Fix BuildRequires

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 1.0-1mdk
- Finally!
- Remove debug switch, I've done it wrong.

* Thu Aug 28 2003 Abel Cheung <deaddog@deaddog.org> 1.0-0.20030828.1mdk
- 2003-08-28 (pre-release 1.0)

* Mon Aug 25 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-0.20030817.3mdk
- fixed typo in menu entry

* Sun Aug 17 2003 Abel Cheung <maddog@linux.org.hk> 1.0-0.20030817.2mdk
- Rebuild, get back Lenny's changelog


* Sun Aug 17 2003 Abel Cheung <maddog@linux.org.hk> 1.0-0.20030817.1mdk
- Post 0.99 (1.0 is coming)
- Patches removed
- Don't bundle pozilla
- Use imagemagick to convert icons, thus no need to bundle them

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.43-1mdk
- Release 0.43

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.41-2mdk
- Patch0: use DTD compliant OMF file

* Fri Apr 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.41-1mdk
- updated by Juan Manuel García Molina <juanma_gm@wanadoo.es> :
	- New release (0.41).

* Fri Mar 15 2002 Juan Manuel García Molina <juanma_gm@wanadoo.es> 0.40-2mdk
- Make rpmlint a bit happier.

* Thu Mar 14 2002 Juan Manuel García Molina <juanma_gm@wanadoo.es> 0.40-1mdk
- New release (0.40).
- Remove file %{_sysconfdir}/gconf/schemas/gtranslator.schemas

* Tue Feb 19 2002 Juan Manuel García Molina <juanma_gm@wanadoo.es> 0.39.1-3mdk
- r/$RPM_BUILD_ROOT/%{buildroot}

* Tue Feb 19 2002 Juan Manuel García Molina <juanma_gm@wanadoo.es> 0.39.1-2mdk
- Clean spec file
- Adapt .spec file with Mandrake generic skelet.spec
- Make source code available local and .tar.bz2 formatted
- Mandrake menu entry
- Add "--with-gnome-includes=/usr/include/gnome-1.0" (from package libgnome32-devel)
- Add png icons
- Add "--mandir=%{_mandir}" to configure options

* Mon Jan 21 2002 Juan Manuel García Molina <juanma_gm@wanadoo.es> 0.39.1.99-1-1mdk
- Initial Mandrake package.
- Using spec file from src package for gtranslator-0.39.2-1 for RedHat
